Subject: Re: [PATCH v2] build: do not automatically reconfigure unless configure.ac changed

From: Stefano Lattarini <[email-masked]>
Date: Wed, 02 Jan 2013 15:13:47 +0100

On 01/02/2013 09:48 AM, Jonathan Nieder wrote:
> Jeff King wrote:
> 
>> It seems I am late to the party. But FWIW, this looks the most sane to
>> me of the patches posted in this thread.
> 
> Thanks.  config.status runs ./configure itself, though, so the rule
> should actually be
> 
> 	config.status: configure.ac
> 		$(QUIET_GEN)$(MAKE) configure && \
> 		if test -f config.status; then \
> 		  ./config.status --recheck; \
> 		else \
> 		  ./configure;
> 		fi
> 
> Rather than screw it up yet again, I'm going to sleep. :)  If someone
> else corrects the patch before tomorrow, I won't mind.
>
FYI, this seems a sane approach to me.  At least until Autoconf is
improved to offer better (read: some :-) support to "dynamic" package
version numbers specified at configure runtime.  I hope that day
isn't too far, since the current Autoconf limitation has been causing
its share of annoyances small woes in Automake and Gnulib as well.

The only nit I have to offer is that I'd like to see more comments in
the git Makefile about why this "semi-hack" is needed.

Thanks,
  Stefano